#!/bin/sh

export BASEDIR=/srv/package-import.canonical.com/new/
PATH=${BASEDIR}scripts:/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
NAME=mass-import
DAEMON=${BASEDIR}scripts/mass_import.py
PIDFILE=${BASEDIR}mass-import.pid
STOPFILE=${BASEDIR}STOP_PLEASE
USER=pkg_import
export LANG="en_GB.UTF-8"
export PATH
export PYTHONPATH=${BASEDIR}scripts/python-debian/:${BASEDIR}
export BZR_PLUGIN_PATH=${BASEDIR}scripts/plugins/
export TMPDIR=${BASEDIR}tmp
export BZR_EMAIL="Bazaar Package Importer <james.westby@ubuntu.com>"

usage() {
    echo "Usage: $0 {start|stop|restart|status|graceful-stop}"
}

d_start() {
    start-stop-daemon --quiet --start --name $NAME --pidfile $PIDFILE \
        --background --make-pidfile --exec $DAEMON -c $USER --
}

d_stop() {
    start-stop-daemon --stop --pidfile $PIDFILE --exec /usr/bin/python
}

case "$1" in
    start)
        echo -n "Starting $NAME"
        rm -f $STOPFILE
        d_start
        echo "."
        ;;
    stop)
        echo -n "Stopping $NAME"
        d_stop
        echo "."
        ;;
    restart)
        echo -n "Restarting $NAME"
        d_stop
        sleep 1
        d_start
        echo "."
        ;;
    graceful-stop)
        echo -n "Requesting stop of $NAME"
        touch $STOPFILE
        echo "."
        ;;
    *)
        usage
        exit 1
        ;;
esac
